﻿-- Author      : Matthew Enthoven (Alias: Blacksen)
-- Create Date : 1/04/2010 12:24:31 PM


LootCouncil_TheCouncil = {};
LootCouncil_Browser = {}
LootCouncil_Browser.Data = {}
LootCouncil_Browser.Elects = {}
LootCouncil_Browser.Votes = {}
LootCouncil_Browser.WhisperList = {}
LootCouncil_PlayerData = {}
LootCouncil_minRank = 0;
LootCouncil_sawFirstMessage = 0;
LootCouncil_privateVoting = 0;
LootCouncil_singleVote = 0;
LootCouncil_displaySpec = 1;
LootCouncil_selfVoting = 1;
LootCouncil_scale = 1;

LootCouncil_awaitingItem = false;

LootCouncil_Browser.private = LootCouncil_privateVoting;
LootCouncil_Browser.single = LootCouncil_singleVote;
LootCouncil_Browser.spec = LootCouncil_displaySpec;
LootCouncil_Browser.self = LootCouncil_selfVoting;

LootCouncil_LinkWhisper = 1;
LootCouncil_LinkOfficer = 1;
LootCouncil_LinkRaid = 0;
LootCouncil_LinkGuild = 0;
LootCouncil_Version="1.006"

do
	----------- Slash Command Manager -----------            
	---------------------------------------------
	SLASH_LOOT_COUNCIL1 = "/lc";
	SLASH_LOOT_COUNCIL2 = "/lootcouncil";
	SlashCmdList["LOOT_COUNCIL"] = function(msg)
		local cmd, arg = string.split(" ", msg,2); -- Separates the command from the rest
		cmd = cmd:lower(); -- Lower case command
		if cmd == "show" then -- show the main frame
			LootCouncil_Browser.showMainFrame();
		elseif cmd == "hide" then -- hide the main frame
			LootCouncil_Browser.hideMainFrame();
		elseif cmd == "start" then -- try to start a new Loot Council Session
			LootCouncil_Browser.initiateLootCouncil(msg:match("^start%s+(.+)"));
		elseif cmd == "end" then
			LootCouncil_Browser.initiateAbort();
		elseif cmd == "add" then
			if arg then
				local thePlayer, item = string.split(" ", arg);
				if item then
					local startLoc = string.find(msg, "Hitem:")
					if startLoc ~= nil then
						LootCouncil_Browser.manualAdd(thePlayer, arg);
					else
						print("Invalid Entry. Correct form: /lc add (charName) (itemLink)")
					end
				else
					print("Invalid Entry. Correct form: /lc add (charName) (itemLink)")
				end
			else
				print("Invalid Entry. Correct form: /lc add (charName) (itemLink)")
			end
		elseif cmd == "rank" then
			RankFrame:Show()
			LCOptionsFrame:Hide()
		elseif cmd == "config" then
			LCOptionsFrame:Show()
			RankFrame:Hide()
		elseif cmd == "" then
			print("LOOT COUNCIL COMMANDS:");
			print("prefix: /lc");
			print(" - show - shows the main frame")
			print(" - hide - hide the main frame")
			print(" - start (item) - attempts to start a loot council session");
			print(" - end - attempts to end a loot council session");
			print(" - add (name) (itemlink) - manuall adds a player to the consideration")
			print(" - rank - shows the frame for setting the guild council ranks");
			print(" - config - shows the main options window");
		else
			print(""..msg.." is not a valid command for /lc");
		end
	end
end